//if( document.ctactform.elements[0].value!="")
//{
//i=2
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//document.ctactform.elements[i++].readOnly=true
//}
function chng(x) {
if(x==1) {
	if (document.ctactform.elements[1].value!="")
	document.ctactform.elements[19].disabled = false
	else document.ctactform.elements[19].disabled = true
}
if(x==10) {
	b=document.ctactform.elements[10].value
	if(b!=" ") for (i in cli)
	{
		s=cli[i]
		if (s.indexOf(b)>=0) 
		{
			b=s.split(",")
			document.ctactform.elements[10].value=b[0]
			document.ctactform.elements[11].value=b[1]
			document.ctactform.elements[12].value=b[2]
			k=b.length
			document.ctactform.elements[10].value=b[0]
			document.ctactform.elements[11].value=b[1]
			s=b[2]
			for (i=3;i<k;i++) s=s+","+b[i]
			document.ctactform.elements[12].value=s
		}
	}
	}
if(x==7) {
	 s=ot[document.ctactform.elements[7].value]
	b=s.split(",")
	 document.ctactform.elements[8].value=b[0]
	 document.ctactform.elements[9].value=b[2]
	}
if(x==4) {
	 s=cot[document.ctactform.elements[4].value]
	b=s.split(",")
	 document.ctactform.elements[5].value=b[0]
	 document.ctactform.elements[6].value=b[1]
	s=cli[b[2]]
	b=s.split(",")
	k=b.length
	 document.ctactform.elements[10].value=b[0]
	 document.ctactform.elements[11].value=b[1]
	s=b[2]
	for (i=3;i<k;i++) s=s+","+b[i]
	 document.ctactform.elements[12].value=s
	}
}
//function exswap()
//{
	//return
//}
function cons(xx) { botonpres=xx.value }
function closeform()
{
        swapin()
        fld=0
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd+ncd;i++) if( document.ctactform.elements[i].value!="") fld=1
                if(fld==0) document.ctactform.elements[0].value=""
	       return true
        }
        if(botonpres=="Actualizar")
	{
                if(document.ctactform.elements[0].value=="")
		{
			nfc=document.ctactform.elements[1].value
			if (nfac[nfc]==1)
			{
				alert("La factura "+nfc+" ya existe!!!")
				return false
			}
		}
	}
		
	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.ctactform.elements[row].value)-1
if(document.ctactform.elements[row+1].value !="")
if(document.ctactform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.ctactform.elements[nhd+i*ncd+j].value=document.ctactform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.ctactform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.ctactform.elements[nhd+i*ncd+j].value=document.ctactform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.ctactform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.ctactform.elements[i].value=""
	if(document.ctactform.elements[i].type=="checkbox")
		document.ctactform.elements[i].checked=false
}
document.ctactform.elements[i++].disabled=false
document.ctactform.elements[i++].disabled=true
document.ctactform.elements[0].readOnly=false
tp=0
for (j=i;j< document.ctactform.elements.length;j++)
if(document.ctactform.elements[j].type=="text") document.ctactform.elements[j].value=""
swapout()
}
